{% extends 'home/_layout/layout_homepage_v2.html.twig' %}

{% block title %}Buy {{ parent() }}{% endblock %}

{% block stylesheets %}
    {{ parent() }}

    <link rel="stylesheet" href="{{ asset('assets/reavant/css/stripe.css') }}" xmlns="http://www.w3.org/1999/html">
{% endblock %}

{% block facebook_pixel_events %}
    {% if app.environment == 'prod' %}
        <script>
            fbq('track', 'InitiateCheckout');
        </script>
    {% endif %}
{% endblock %}

{% block content %}
    <div class="container">
        <div class="col-md-11 mx-auto">

            {% form_theme formBuy 'home/_component/form/form_theme_buy_page.html.twig' %}
            {{ form_start(formBuy, {attr: {'id': formBuy.vars.id}}) }}
            <div class="row mt-5">
                <div class="col-md-12 text-center">
                    <div class="mb-5">
                        <h3 class="font-weight-light">Purchase {{ project_name }} now</h3>
                        <small>or <a href="{{ path('home_try') }}" class="font-weight-bold">try free for 30
                                days</a>.</small>
                    </div>
                </div>

                <div class="col-md-6 px-4 py-4 bg-light border rounded">

                    {% embed 'home/_component/flash.html.twig' %}{% endembed %}

                    <div class="mt-3">
                        <h5 class="font-weight-light mb-4">1. Choose your billing cycle</h5>

                        <div class="col-md-12 px-0">
                            {{ form_widget(formBuy.plan) }}
                        </div>
                    </div>

                    <div class="mt-5">
                        <h5 class="font-weight-light mb-4">2. Tell us about yourself</h5>

                        <div class="col-md-12 px-0">

                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <small class="text-muted">{{ form_label(formBuy.firstName) }}</small>
                                    {{ form_widget(formBuy.firstName) }}
                                </div>
                                <div class="form-group col-md-6">
                                    <small class="text-muted">{{ form_label(formBuy.lastName) }}</small>
                                    {{ form_widget(formBuy.lastName) }}
                                </div>
                                {% if not is_granted('ROLE_USER') %}
                                    <div class="form-group col-md-6">
                                        <small class="text-muted">{{ form_label(formBuy.emailAddress) }}</small>
                                        {{ form_widget(formBuy.emailAddress) }}
                                    </div>
                                    <div class="form-group col-md-6">
                                        <small class="text-muted">{{ form_label(formBuy.password) }}</small>
                                        {{ form_widget(formBuy.password) }}
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                    </div>

                    <div class="mt-5">
                        <h5 class="font-weight-light mb-4">3. Enter Payment Details</h5>

                        <div class="col-md-12 px-0">

                            <div id="card-element">
                                <!-- A Stripe Element will be inserted here. -->
                            </div>

                            <!-- Used to display form errors. -->
                            <div id="card-errors" role="alert"></div>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 pl-5">
                    <div class="mt-4">
                        <h6 class="mb-3">What is {{ project_name }}?</h6>

                        <small class="text-muted">
                            <li>Full access to {{ project_name }}</li>
                            <li>Manage your Real Estate projects</li>
                            <li>Unlimited analysis for each projects</li>
                            <li>Share analysis with your collaborators</li>
                        </small>
                    </div>

                    <div class="mt-5">
                        <h6 class="mb-2">Accepted payment types</h6>

                        <div class="mb-2">
                        <span class="icon-payment-credit-card"><img class=""
                                                                    src="{{ asset('assets/reavant/images/payment/visa.png') }}"/></span>
                            <span class="icon-payment-credit-card"><img
                                        src="{{ asset('assets/reavant/images/payment/carte-blue.png') }}"/></span>
                            <span class="icon-payment-credit-card"><img
                                        src="{{ asset('assets/reavant/images/payment/mastercard.png') }}"/></span>
                            <span class="icon-payment-credit-card"><img
                                        src="{{ asset('assets/reavant/images/payment/amex.png') }}"/></span>
                            <!--<span class="icon-payment-paypal"><img src="{{ asset('assets/reavant/images/payment/paypal.png') }}"/></span>-->
                        </div>

                        <small class="text-muted">
                            If you require an invoice to make a payment, please <a href="mailto:sales@reavant.co">contact
                                our sales team</a>.
                        </small>
                    </div>

                    <div class="mt-5 mb-5">
                        <div class="mb-4">
                            <h4 class=>Reavant House Services</h4>
                            <h6>
                                Billed now: <span id="price-billed-now">$69,99</span>
                            </h6>
                        </div>

                        <small>
                            You’ll be charged <b><span id="price-charged">$69,99</span> <span
                                        id="billing-cycle">monthly</span></b> until you <b>cancel</b> your
                            subscription.
                            Previous charges <b>won’t be refunded</b> when you cancel <b>unless it’s
                                legally required</b>.
                            Your payment data is encrypted and secure. All amounts shown are in USD.
                        </small>

                        <div class="mt-4 mb-4">
                            {% set termsOfUseFormGroup %}
                                {{ form_widget(formBuy.agreeTerms) }}
                            {% endset %}

                            {{ termsOfUseFormGroup | replace({'#TERMS_OF_USE_LINK#': '<a href="'~ path('home_terms') ~'" target="_blank">Reavant Agreement and Terms</a>'}) | raw }}
                        </div>

                        <button type="submit" class="col-md-12 btn btn-primary">
                            Complete purchase
                        </button>

                        <!--<div class="row">
                            <div class="col-md-6 col-sm-6">
                                <small class="text-muted">Item</small>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <small class="text-muted">Price</small>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <small id="item-choose">Standard Plan</small>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <small id="item-price">$1399 per year</small>
                            </div>
                            <div class="col-md-6 col-sm-6 pr-0">
                                <small class="text-success">Yearly savings (17%)</small>
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <small class="text-success">-$200 per year</small>
                            </div>
                        </div>-->

                        <!--<hr>

                        <div class="row">
                            <div class="col-md-6">
                                <small class="font-weight-bold">Total</small>
                            </div>
                            <div class="col-md-6">
                                <small id="total-price" class="font-weight-bold">$1199 per year</small>
                            </div>
                        </div>-->

                    </div>
                </div>
            </div>
            {{ form_rest(formBuy) }}
            {{ form_end(formBuy) }}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="https://js.stripe.com/v3/"></script>
    <script src="{{ asset('bundles/fosjsrouting/js/router.min.js') }}"></script>
    <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
    <script>
        // Create a Stripe client.
        var stripe = Stripe('{{ stripe_public_key }}');

        // Create an instance of Elements.
        var elements = stripe.elements();

        // Custom styling can be passed to options when creating an Element.
        // (Note that this demo uses a wider set of styles than the guide below.)
        var style = {
            base: {
                color: '#32325d',
                fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
                fontSmoothing: 'antialiased',
                fontSize: '16px',
                '::placeholder': {
                    color: '#aab7c4'
                }
            },
            invalid: {
                color: '#fa755a',
                iconColor: '#fa755a'
            }
        };

        // Create an instance of the card Element.
        var card = elements.create('card', {style: style});

        // Add an instance of the card Element into the `card-element` <div>.
        card.mount('#card-element');

        // Handle real-time validation errors from the card Element.
        card.addEventListener('change', function (event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }
        });

        // Handle form submission.
        var form = document.getElementById('{{ formBuy.vars.id }}');
        form.addEventListener('submit', function (event) {
            event.preventDefault();

            stripe.createPaymentMethod({
                type: 'card',
                card: card,
            }).then(function (result) {
                if (result.error) {
                    // Inform the user if there was an error.
                    var errorElement = document.getElementById('card-errors');
                    errorElement.textContent = result.error.message;
                } else {
                    // Send the token to your server.
                    stripePaymentMethodHandler(result.paymentMethod);
                }
            });
        });

        // Submit the form with the token ID.
        function stripePaymentMethodHandler(paymentMethod) {
            // Insert the token ID into the form so it gets submitted to the server
            var form = document.getElementById('{{ formBuy.vars.id }}');

            document.getElementById('{{ formBuy.children.paymentMethod.vars.id }}').setAttribute('value', paymentMethod.id);

            // Submit the form
            form.submit();
        }
    </script>
    {% for plan in formBuy.plan %}
        <script>
            $('#{{ plan.vars.id }}').click(function () {

                var plan_id = $(this).attr('value');
                var api_url = Routing.generate('api_plan_get_item', {id: plan_id});

                $.ajax({
                    url: api_url,
                    contentType: "application/json",
                    dataType: 'json',
                    success: function (result) {
                        $('#price-billed-now').html('$' + (result.price.amount / 100).toFixed(2));
                        $('#price-charged').html('$' + (result.price.amount / 100).toFixed(2));
                        $('#billing-cycle').html(result.billing_cycle.toLowerCase() + 'ly');
                    }
                })

            });
        </script>
    {% endfor %}
{% endblock %}